]> git.ameliathe1st.gay Git - git-over-gnunet.git/commitdiff
Fix pull issues: the sleep needs to be as long as the repo cloning
authorAmélia Coutard-Sander <git@ameliathe1st.gay>
Tue, 26 Nov 2024 11:02:33 +0000 (12:02 +0100)
committerAmélia Coutard-Sander <git@ameliathe1st.gay>
Tue, 26 Nov 2024 11:03:56 +0000 (12:03 +0100)
README.txt
daemon.sh

index cf4f5822fdedae2cdc416a0da5b77732f5b90266..4d722d5bf54c151ef1f8ec262dc1b1df3b644c1e 100644 (file)
@@ -22,6 +22,7 @@ TODO:
        - Rewrite in C as a proper gnunet service, should fix the cadet pushing issues.
                - Specific GNS record type ?
        - Figure out why cadet breaks when pushing, probably linked to the usage of the CLI client, C rewrite might fix.
+               - gnunet-cadet exits too early, definitely an issue with the input method. C will probably fix the issue. In the meantime, a cat+sleep is a reasonnable enough "fix".
        - In which case, password system to push to repos (just add the password to the port ?)
        - Pulling from anyone using a commit hash ?
                - DHT to figure out who has what commits ?
index a4866c400fe3d1db02c4532764ca6eb1be466071..0d9d74738e7e544c3569627dc9f5103be507fc1a 100755 (executable)
--- a/daemon.sh
+++ b/daemon.sh
@@ -16,7 +16,7 @@ name="$2"
 echo >&2 "Running $service on port \`git.$name.git-$service'."
 
 mktempfifo
-while < "$fifo_name" gnunet-cadet -o "git.$name.git-$service" | git "$service" . | (cat; sleep 0.1) | cat > "$fifo_name"; test 130 != "$?"; do
+while < "$fifo_name" gnunet-cadet -o "git.$name.git-$service" | git "$service" . | (cat; sleep 5) | cat > "$fifo_name"; test 130 != "$?"; do
        rm "$fifo_name"
        mktempfifo
 done